select2 dropdown boxes don't match inherit button heights

03/03/2016 10:56 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.10.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1326033 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3279,

https://github.com/theforeman/foreman/p

ull/3280

  

Description

select2-rails 3.5.10 was released which has slightly broken the formatting of the dropdown menus, most noticeably on the New Host

form.

The height of the select boxes no longer matches the height of the adjacent "inherit" buttons on the first page of the New Host forms.

Setting to 1.10.3 as this'll affect all branches due to the pinning on select2-rails.  The effect on 1.10-stable is even worse.

Associated revisions

Revision a3a7f02a - 03/08/2016 02:08 PM - Ori Rabin

Fixes #14045 - change inherit button height to match select2

Revision 5edc74bb - 03/10/2016 04:07 AM - Ori Rabin

Fixes #14045 - resizing select2 to match inherit button

Revision e3305173 - 03/10/2016 04:13 AM - Dominic Cleal

refs #14045 - pin select2-rails to 3.5.10

Revision 3d44ccf2 - 03/10/2016 10:49 AM - Ori Rabin

Fixes #14045 - resizing select2 to match inherit button

(cherry picked from commit 5edc74bbd2b8c03624c339439d361d0800e4468c)

History

#1 - 03/04/2016 09:47 AM - Dominic Cleal

- translation missing: en.field_release changed from 145 to 136

I think we should probably pin this at 3.5.9.x for 1.10-stable and 1.11-stable branches to keep the UIs stable, then adapt the theme on develop and

probably update to 4.x.

I guess the select2-bootstrap theme shipped with select2 isn't working reliably since #4629 changes the field sizes, so it may need supplementing

with another set of overrides or an additional theme.

#2 - 03/04/2016 09:47 AM - Dominic Cleal

- translation missing: en.field_release changed from 136 to 145

#3 - 03/06/2016 04:25 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin
#4 - 03/06/2016 09:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3279 added

#5 - 03/06/2016 09:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3280 added

#6 - 03/10/2016 05:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5edc74bbd2b8c03624c339439d361d0800e4468c.

#7 - 04/11/2016 11:50 AM - Bryan Kearney

- Bugzilla link set to 1326033
